%define momorel 1

Summary: Convert mail aliases into input suitable for cdbmake
Name:    aliases2cdbm
Version: 1.0
Release: %{momorel}m
License: GPL
Group:   System Environment/Daemons
URL:     http://www.pobox.com/~jmknoble/software/
Source0: http://www.pobox.com/~jmknoble/software/aliases2cdbm/%{name}-%{version}.tar.gz
Requires:  cdb gawk qmail
BuildRoot: %{_tmppath}/%{name}-%{version}-root

NoSource: 0

%description
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

%package        extra
Summary:        Extra glue for using aliases2cdbm with exim
Group:  System Environment/Daemons
Requires:       cdb gawk exim

%description extra
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

This package contains a few extra glue files for using aliases2cdbm
with the `exim' MTA (mail transport agent) <http://www.exim.org/>.

%prep
%setup -q -n %{name}-%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make CC="gcc" OPTFLAGS="%{optflags}" PREFIX="%{_prefix}"
make CC="gcc" OPTFLAGS="%{optflags}" PREFIX="%{_prefix}" extra

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
install -m 755 aliases2cdbm %{buildroot}%{_bindir}/
install -m 755 exim.newaliases.cdb %{buildroot}%{_sbindir}/
install -m 644 aliases.conf %{buildroot}%{_sysconfdir}/
install -m 644 aliases2cdbm.1 %{buildroot}%{_mandir}/man1/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README aliases.sample aliases.warnings
%{_bindir}/aliases2cdbm
%{_mandir}/man1/aliases2cdbm.1*

%files extra
%defattr(-,root,root)
%config(missingok,noreplace) %{_sysconfdir}/aliases.conf
%{_sbindir}/exim.newaliases.cdb

%changelog
* Sun Feb 1 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- Momonganize and import

* Mon Mar 10 2003 Vincent Danen <vdanen@mandrakesoft.com> 1.0-4rph
- build for 9.1

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.0-3rph
- rebuild for 9.0
- some spec cleanups

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.0-2rph
- rebuild for rpmhelp.net

* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib.

