%define momorel 1

Name: 		mess822
Summary:	mess822 is a library for parsing Internet mail messages. 
Version:	0.58
Release: 	%{momorel}m
License: 	Check with djb@koobera.math.uic.edu
Group: 		System Environment/Daemons
URL: 		http://cr.yp.to/mess822.html
Source0: 	http://cr.yp.to/software/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-errno.patch.bz2	
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

NoSource: 0

Requires: 	qmail 

%description
mess822 is a library for parsing Internet mail messages. The mess822
package contains several applications that work with qmail:

   * ofmipd rewrites messages from dumb clients. It supports a database
     of recognized senders and From lines, using cdb for fast lookups.

   * new-inject is an experimental new version of qmail-inject. It
     includes a flexible user-controlled hostname rewriting mechanism.

   * iftocc can be used in .qmail files. It checks whether a known
     address is listed in To or Cc.

   * 822header, 822field, 822date, and 822received extract various
     pieces of information from a mail message.

   * 822print converts a message into an easier-to-read format.

mess822 supports the full complexity of RFC 822 address lists, including
address groups, source routes, spaces around dots, etc. It also supports
common RFC 822 extensions: backslashes in atoms, dots in phrases,
addresses without host names, etc. It extracts each address as an
easy-to-use string, with a separate string for the accompanying comment.

mess822 converts RFC 822 dates into libtai's struct caltime format. It
supports numeric time zones, the standard old-fashioned time zones, and
many nonstandard time zones.

mess822 is fast. For example, extracting 10000 addresses from a 160KB To
field takes less than a second on a Pentium-100.

%prep
%setup -q
%patch -p1 -b .errno

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

echo "gcc %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld

make
#make setup

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/include
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man3
mkdir -p %{buildroot}%{_mandir}/man5
mkdir -p %{buildroot}%{_mandir}/man8

install -m 644 leapsecs.dat %{buildroot}%{_sysconfdir}
install -m 755 822header %{buildroot}/usr/bin
install -m 755 822received %{buildroot}/usr/bin
install -m 755 iftocc %{buildroot}/usr/bin
install -m 755 ofmipname %{buildroot}/usr/bin
install -m 755 ofmipd %{buildroot}/usr/bin
install -m 755 new-inject %{buildroot}/usr/bin
install -m 755 822field %{buildroot}/usr/bin
install -m 755 822print %{buildroot}/usr/bin
install -m 755 822date %{buildroot}/usr/bin
install -m 644 mess822.a %{buildroot}/usr/lib
install -m 644 mess822.h %{buildroot}/usr/include
install -m 644 822date.1 %{buildroot}%{_mandir}/man1
install -m 644 822field.1 %{buildroot}%{_mandir}/man1
install -m 644 822header.1 %{buildroot}%{_mandir}/man1
install -m 644 822print.1 %{buildroot}%{_mandir}/man1
install -m 644 822received.1 %{buildroot}%{_mandir}/man1
install -m 644 mess822.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_addr.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_date.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_fold.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_quote.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_token.3 %{buildroot}%{_mandir}/man3
install -m 644 mess822_when.3 %{buildroot}%{_mandir}/man3
install -m 644 rewriting.5 %{buildroot}%{_mandir}/man5
install -m 644 ofmipd.8 %{buildroot}%{_mandir}/man8
install -m 644 ofmipname.8 %{buildroot}%{_mandir}/man8

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr (-,root,root)
%doc BLURB CHANGES INSTALL README THANKS TODO VERSION 
/etc/leapsecs.dat
/usr/bin/822header
/usr/bin/822received
/usr/bin/iftocc
/usr/bin/ofmipname
/usr/bin/ofmipd
/usr/bin/new-inject
/usr/bin/822field
/usr/bin/822print
/usr/bin/822date
/usr/lib/mess822.a
/usr/include/mess822.h
%{_mandir}/man1/822date.1*
%{_mandir}/man1/822field.1*
%{_mandir}/man1/822header.1*
%{_mandir}/man1/822print.1*
%{_mandir}/man1/822received.1*
%{_mandir}/man3/mess822.3*
%{_mandir}/man3/mess822_addr.3*
%{_mandir}/man3/mess822_date.3*
%{_mandir}/man3/mess822_fold.3*
%{_mandir}/man3/mess822_quote.3*
%{_mandir}/man3/mess822_token.3*
%{_mandir}/man3/mess822_when.3*
%{_mandir}/man5/rewriting.5*
%{_mandir}/man8/ofmipd.8*
%{_mandir}/man8/ofmipname.8*

%changelog
* Sun Feb 1 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- Momonganize and import

* Fri Sep 19 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.58-2rph
- rebuild for rpmhelp.net (thanks shekhar@dishatech.com)
- don't run make setup as it wants to chown /usr/local (wtf?)

* Wed Sep 3 2003 Shekhar Joshi <shekhar@dishatech.com> 
- modified the mess822 spec for 9.1
- spec has been stolen from Mate Wierdl <mw@moni.msci.memphis.edu>
