%define momorel	1

Name: 		supervise-scripts
Summary:	Utility scripts for use with supervise and svscan.
Version:	3.5
Release: 	%{momorel}m
Copyright:	GPL
Group:		System Environment/Daemons
URL:		http://untroubled.org/supervise-scripts/
Source0:	http://untroubled.org/supervise-scripts/%{name}-%{version}.tar.gz
Source1:	supervise.init
Source2:	README.supervise
Source3:	supervise-data.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	daemontools >= 0.70

BuildPreReq:	bglibs	

NoSource: 0

%description
A set of scripts for handling programs managed with supervise and svscan.


%package data
Summary:	Collection of supervise-enabled directories
Group:		System Environment/Daemons
Requires:	%{name}

%description data
This is a collection of supervise-enabled directories for use with
supervise-scripts and daemontools.  These will allow you to run popular
services that are typically run through xinetd or inetd under tcpserver.  It
includes:  vsftpd, cvspserver, rsync, and proftpd.


%prep
%setup -q
%setup -q -n %{name}-%{version} -D -T -a3
echo /usr/lib/bglibs/lib > conf-bglibs
echo /usr/lib/bglibs/include > conf-bgincs

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
echo %{_bindir} >conf-bin
echo %{_mandir} >conf-man
make programs


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}/service
mkdir -p %{buildroot}/var/service
                                                                                
echo $RPM_BUILD_ROOT%{_bindir} >conf-bin
echo $RPM_BUILD_ROOT%{_mandir} >conf-man
make installer instcheck
./installer
./instcheck

mkdir -p %{buildroot}%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/supervise

cp %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/README.momonga

cd data
PREFIX=%{buildroot} ./install.sh

%post
%{_bindir}/svscan-add-to-inittab

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING README NEWS README.momonga
%{_bindir}/*
%{_mandir}/man*/*
%attr(1755,root,root) %dir /var/service
%config %{_initrddir}/supervise

%files data
%defattr(-,root,root)
%dir /var/service/vsftpd
/var/service/vsftpd/run
%dir /var/service/vsftpd/log
/var/service/vsftpd/log/run
%dir /var/service/cvspserver
/var/service/cvspserver/run
%dir /var/service/cvspserver/log
/var/service/cvspserver/log/run
%dir /var/service/rsync
/var/service/rsync/run
%dir /var/service/rsync/log
/var/service/rsync/log/run
%dir /var/service/proftpd
/var/service/proftpd/run
%dir /var/service/proftpd/log
/var/service/proftpd/log/run

%changelog
* Sun Feb 1 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- Momonganize and import

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.3-6rph
- build for 9.0

* Wed May 29 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.3-5rph
- grrr... fix stupid problem in initscript
- while we're at it, make the initscript much better anyways

* Wed May 29 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.3-4rph
- add a supervise initscript to run supervise (instead of calling it through
  init)
- add a README.mdk to give instructions
- create supervise-scripts-data sub-package which daemonizes several popular
  services available via xinetd (currently contains vsftpd, cvspserver,
  rsync, and proftpd).

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.3-3rph
- rebuild with rph extension

* Wed Oct 24 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.3-2mdk
- fix dependencies of daemontools from =0.70 to >=0.70

* Fri Feb 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 3.3-1mdk
- 3.3
- include manpages

* Sun Oct 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.4-2mdk
- create /var/service and owned by this package

* Sun Oct 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.4-1mdk
- first mandrake build
