%define momorel	1
%define dbms	pgsql
%define vpophome /var/vpopmail

Summary: 	Vpopmail is a set of programs for creating and managing multiple virtual domains on a qmail server, with full support for many POP/IMAP servers.	
Name: 		vpopmail
Version: 	5.4.0
Release: 	%{momorel}m
License: 	GPL
Group: 		System Environment/Daemons
URL: 		http://www.inter7.com/vpopmail.html	
Source0: 	http://heanet.dl.sourceforge.net/sourceforge/vpopmail/%{name}-%{version}-rc2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires:	qmail, postgresql-server

Patch1:		vpgsql-security.patch
#Patch2:		vpgsql-dbuser.patch
#Patch3:		vpgsql-table.patch

NoSource: 0

%description
Vpopmail is a set of programs for creating and managing multiple
virtual domains on a qmail server, with full support for many POP/IMAP
servers. A web interface to vpopmail called QmailAdmin is on
SourceForge as well.

Auth DBMS Backend: %{dbms}

%prep
%setup -q -n %{name}-%{version}-rc2
if ! grep vpopmail /etc/passwd > /dev/null; then
  /usr/sbin/groupadd -g 89 vchkpw
  /usr/sbin/useradd -g vchkpw -u 89 -d %{vpophome} -s /sbin/nologin vpopmail 
fi

%patch1 -p1
#%patch2 -p0
#%patch3 -p0

%build
./configure \
 --prefix=%{vpophome} \
 --enable-tcprules=/usr/bin/tcprules \
 --enable-tcpserver-file=/var/vpopmail/etc/tcp.smtp \
 --enable-roaming-users=y \
 --enable-auth-module=%{dbms} \
 --enable-default-quota=10000000000 \
 --enable-passwd=n \
 --enable-domainquotas \
 --disable-clear-passwd \
 --enable-ipalias-domains=n \
 --enable-logging=p \
 --enable-md5-passwd \
 --enable-auth-logging 

# --enable-qmail-ext\

%make

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}/etc/

make install DESTDIR=%{buildroot}

%post
if ! grep vpopmail /etc/passwd > /dev/null; then
  /usr/sbin/groupadd -g 89 vchkpw
  /usr/sbin/useradd -g vchkpw -u 89 -d %{vpophome} -s /sbin/nologin vpopmail 
  echo "vpopmail user is added."
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,vpopmail,vchkpw,-)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL  README* UPGRADE doc/*
/var/vpopmail
/etc

%changelog
* Sat Jan 17 2004  <yohgaki@momonga-linux.org> - 
- Initial build.

